osmium::geom::Tile Struct Reference

`#include <tile.hpp>`

## Public Member Functions

| Tile (uint32_t zoom, uint32_t tx, uint32_t ty) noexcept
| Tile (uint32_t zoom, const osmium::Location &location)

## Public Attributes

uint32_t | x
uint32_t | y
uint32_t | z

## Detailed Description

A tile in the usual Mercator projection.

## Constructor & Destructor Documentation

osmium::geom::Tile::Tile | ( | uint32_t | zoom,
|  | uint32_t | tx,
|  | uint32_t | ty
| ) |  |

inline explicit noexcept

osmium::geom::Tile::Tile | ( | uint32_t | zoom,
|  | const osmium::Location & | location
| ) |  |

inline explicit

## Member Data Documentation

uint32_t osmium::geom::Tile::x

uint32_t osmium::geom::Tile::y

uint32_t osmium::geom::Tile::z

The documentation for this struct was generated from the following file:

- osmium/geom/tile.hpp